/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Entity.h"


namespace morpheo              {
namespace behavioural          {

#undef  FUNCTION
#define FUNCTION "Entity::get_interfaces"
  string Entity::get_interfaces (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    ostringstream text;
    text << *(_interfaces); 
    log_printf(FUNC,Behavioural,FUNCTION,"End");
    return text.str();
  };

#undef  FUNCTION
#define FUNCTION "Entity::get_interfaces_list"
  Interfaces * Entity::get_interfaces_list (void)
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");
    Interfaces * _return = _interfaces; 
    log_printf(FUNC,Behavioural,FUNCTION,"End");
    return _return;
  };
  

}; // end namespace behavioural          
}; // end namespace morpheo              
